QGIS startup is slow on windows with --configpath option
2014-12-11 06:29 AM - Regis Haubourg

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20061
Description

Hi all,

we experience very slow startup (from 1 to 5 minutes) on windows with QGIS 2.x (last test with 2.6.1) when using remote profiles with
--configpath option.

Whole topic and process monitor logs are available here.

This is related to QGIS trying to create files in C:\Windows\\CSC\\v2.0.6\\, a system folder dedicated to store offline data, and that has
special permissions..

Second startup is sometimes fast, sometimes slow.

History

#1 - 2014-12-11 05:55 PM - Martin Dobias
- Status changed from Open to Feedback

Not sure if this is really QGIS problem. If you use --configpath to an ordinary path on your local disk, would it be still slow?

My impression is that the system/network configuration for your shared folder might be the reason for slowness.

#2 - 2014-12-12 12:57 AM - Regis Haubourg

I am confuzed, | run the same tests as yesterday, and | have no more that file creation error.
Everything goes well wherever | move qgis profile. Nasty problem.
I will try to reproduce it again..

#3 - 2014-12-15 05:19 AM - Regis Haubourg
- File repetitive_ini_reading_pattern.jpg added

New tests today, problem is back..

| found several things:

- Microsoft CSC cache is due to offline sync of some files. No part of qgis was involved in sync but | disabled sync, and now the error pointing to
C:\\Windows\\CSC\\v2.0.6\\ disappeared.

It is now replaced by several errors locating ressources that do not exists.

Among them, | found a repetitive pattern occuring all process life time, and related to QGIS.ini file.
First reading to actual remote_path\\.qgis2\QGIS\QGIS2.ini path is OK, but then QGIS tries to read old 1.x QGIS.ini or QGIS2.ini in other locations:
http://osgeo-org.1560.x6.nabble.com/QGIS-slow-startup-on-windows-td5177403.html

- remote_path\\.qgis2\\QGIS.ini
- C:\\\ProgramData\\QGIS\\QGIS2.ini
- C:\\\ProgramData\\QGIS2.ini

See attached picture repetitive_ini_reading_pattern.jpg

#4 - 2015-06-10 04:11 PM - Nathan Woodrow

hmm I'm seeing this now too and it only just started. Very strange. Seeing the same stuff in the logs.

#5 - 2015-10-05 03:20 AM - Jiirgen Fischer
- Category set to Project Loading/Saving

- Subject changed from QGIS startup is slow on windows with --confipath option to QGIS startup is slow on windows with --configpath option

#6 - 2015-12-20 09:02 AM - Giovanni Manghi
- Status changed from Feedback to Open

#7 - 2017-01-09 01:11 AM - Giovanni Manghi

- Status changed from Open to Feedback
- Priority changed from High to Normal

What it the status of this issue when tested against recent qgis releases?

#8 - 2017-01-09 01:47 AM - Regis Haubourg

| think this a nasty issue, hard to reproduce. | would keep that open until that black magic est solved
#9 - 2017-01-26 03:02 AM - Giovanni Manghi

- Status changed from Feedback to Open

#10 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#11 - 2018-10-23 11:40 AM - Regis Haubourg

- Status changed from Open to Closed
- Description updated

QGIS 3is arriving as next LTR, and confipath option has changed. Please reopen if necessary
